## org.apache.cassandra.db.marshal
Class UUIDType

    java.lang.Object
      org.apache.cassandra.db.marshal.AbstractType<java.util.UUID>
          org.apache.cassandra.db.marshal.UUIDType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class UUIDType

extends AbstractType<java.util.UUID>

Compares UUIDs using the following criteria:
- if count of supplied bytes is less than 16, compare counts
- compare UUID version fields
- nil UUID is always lesser
- compare timestamps if both are time-based
- compare lexically, unsigned msb-to-lsb comparison

See Also:
  "com.fasterxml.uuid.UUIDComparator"

Field Summary
`static UUIDType` `instance`

Fields inherited from class org.apache.cassandra.db.marshal.AbstractType
`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, reverseComparator`

Method Summary
`int` `compare(java.nio.ByteBuffer b1, java.nio.ByteBuffer b2)`
`java.util.UUID` `compose(java.nio.ByteBuffer bytes)`
`java.nio.ByteBuffer` `decompose(java.util.UUID value)`
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.
`java.lang.String` `getString(java.nio.ByteBuffer bytes)` get a string representation of the bytes suitable for log messages
`void` `validate(java.nio.ByteBuffer bytes)`

Methods inherited from class org.apache.cassandra.db.marshal.AbstractType
`getColumnsString, getReverseComparator, getString, isCommutative, isCompatibleWith, parseDefaultParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### instance

    public static final UUIDType instance

Method Detail

### compare

    public int compare(java.nio.ByteBuffer b1,
                       java.nio.ByteBuffer b2)

### compose

    public java.util.UUID compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractType<java.util.UUID>`

### validate

    public void validate(java.nio.ByteBuffer bytes)

  Specified by:
    `validate` in class `AbstractType<java.util.UUID>`

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Description copied from class: `AbstractType`
  get a string representation of the bytes suitable for log messages

  Specified by:
    `getString` in class `AbstractType<java.util.UUID>`

### decompose

    public java.nio.ByteBuffer decompose(java.util.UUID value)

  Specified by:
    `decompose` in class `AbstractType<java.util.UUID>`

### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)
                                   throws MarshalException

  Description copied from class: `AbstractType`
  get a byte representation of the given string.

  Specified by:
    `fromString` in class `AbstractType<java.util.UUID>`
  Throws:
    `MarshalException`

Copyright © 2013 The Apache Software Foundation